# CommandCompletion (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: CommandCompletion

Package co.aikar.commands.annotation

# Annotation Type CommandCompletion

@Retention(RUNTIME) @Target({METHOD,ANNOTATION_TYPE}) public @interface CommandCompletion
Many implementation platforms have a concept of "Tab Completions", where pressing tab will give suggestions on what you can input. This annotation specifies either static completion values, or special @codes that let you define Completion Handlers to dynamically populate completion values.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value